# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END


#  
# ======================================================================= 

function TIOlog {
  LEVEL=$1
  MESSAGE=$2
  MESSAGE=`echo "$MESSAGE" | sed -e 's/\&/\&amp\;/g; s/%/\&#37\;/g; s/"/\&quot\;/g; s/</\&lt\;/g; s/>/\&gt\;/g; s/\\\/\\\\\\\/g'`
  printf "<tio><log level=\"$LEVEL\">$MESSAGE</log></tio>"
}

fileName=$1
filePath=$2
content=$3

cd $filePath
[ ! -w $fileName ] &&{
	echo "The file does not exist at the following path:  ${filePath}/${fileName}" 1>&2
    exit 1
}

cp $fileName $fileName.backup
echo $content >> $filePath/$fileName
test $? != 0 && {
	exit 1
}

exit 0
