' Licensed Materials - Property of IBM
'
' (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
'
' US Government Users Restricted Rights - Use, duplicate or
' disclosure restricted by GSA ADP Schedule Contract with
' IBM Corp.
' IBM_COPYRIGHT_END


'  
' ============================================================================ 

Set args = WScript.Arguments
fileName = args(0)
filePath = args(1)
newFileName = args(2)
newFilePath = args(3)

Dim location
If (StrComp(Right(filePath, 1), "\") = 0) Then
  location = filePath & fileName
Else
  location = filePath & "\" & fileName
End If

Dim targetLocation
If (StrComp(Right(newFilePath, 1), "\") = 0) Then
  targetLocation = newFilePath & newFileName
Else
  targetLocation = newFilePath & "\" & newFileName
End If

Dim oFSO : Set oFSO = CreateObject("Scripting.FileSystemObject")

If (not oFSO.FileExists(location)) Then
  WScript.Echo "The source file does not exist"
  WScript.Quit 1
End If

If (oFSO.FileExists(targetLocation)) Then
  WScript.Echo "There target file already exists"
  WScript.Quit 1
End If

oFSO.CopyFile location, targetLocation