#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#  
# ======================================================================= 

fileName=$1
filePath=$2
searchString=$3
replaceString=$4

cd "${filePath}"
[ ! -s "${fileName}" ] &&{
	echo "The file does not exist at the following path:  ${filePath}/${fileName}" 1>&2
	exit 1
}

mv ${fileName} ${fileName}.backup
cat $fileName.backup | sed -e "s/$searchString/$replaceString/g" > $fileName
test $? != 0 && {
	exit 1
}

exit 0
