
# Licensed Materials - Property of IBM
# OCO Source Materials
# 09N6996
# (C) Copyright IBM Corp. 2007-2010 All Rights Reserved
# The source code for this program is not published or other-
# wise divested of its trade secrets, irrespective of what has
# been deposited with the U.S. Copyright Office. 
# ======================================================================= 

# filename: launch.bash
# Launch remote bash interpreter
#

# To protect ourselves from scriptlets that write "TIO>" to the console, we
# can include workflow execution thread id to the prompt.
set env(LANG) "C"

set PROMPT "TIO>"

# start bash interpreter, should work with any login shell that supports "env"
send "env PS1=\"$PROMPT\" bash --norc --noprofile --noediting -i\r"
