# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END


#  
# ======================================================================= 

# filename: launch.sh
# Launch remote sh interpreter
#

# To protect ourselves from scriptlets that write "TIO>" to the console, we
# can include workflow execution thread id to the prompt.
set env(LANG) "C"

set PROMPT "TIO>"

# start sh interpreter, should work with any login shell that supports "env"
send "env PS1=\"$PROMPT\" sh -i\r"
