
# Licensed Materials - Property of IBM
# OCO Source Materials
# 09N6996
# (C) Copyright IBM Corp. 2007-2010 All Rights Reserved
# The source code for this program is not published or other-
# wise divested of its trade secrets, irrespective of what has
# been deposited with the U.S. Copyright Office. 
# ======================================================================= 

# filename: execute.perl
# Execute perl script
#

# set workflow variables
# @TODO escape variable values!
foreach {var val} [array get wfvars] {
  send "\$$var = \"$val\";\r"
}

send "require \"$SCRIPT_DIR/$SCRIPT_NAME\";\r"
send "unlink \"$SCRIPT_DIR/$SCRIPT_NAME\";\r"
send "__END__\r"

expect {
  -ex "</tio>" {
     regexp "<tio>.*</tio>" $expect_out(buffer) tio_variable
     puts $tio_variable
     exp_continue
  }
  -re "(\\$|#) $" {
     send "/bin/rm -f \"$SCRIPT_DIR/$SCRIPT_NAME\"\r"
     puts "$expect_out(buffer)"
  }
}

