# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END


#  
# ======================================================================= 

# filename: tio.pl
sub remove_itself {
    ($package, $caller ) = caller;
    unlink $caller;
}

remove_itself();

sub TIOsetVar {
    my($variable, $value) = @_;

    $value =~ s/&/&amp;/g;
    $value =~ s/%/&#37;/g;
    $value =~ s/"/&quot;/g;
    $value =~ s/</&lt;/g;
    $value =~ s/>/&gt;/g;
   
    print "<tio><setvar var=\"$variable\">$value</setvar></tio>";
}
sub TIOthrow {
    my($exception, $message) = @_;
    
    $message =~ s/&/&amp;/g;
    $message =~ s/%/&#37;/g;
    $message =~ s/"/&quot;/g;
    $message =~ s/</&lt;/g;
    $message =~ s/>/&gt;/g;
    
    print "<tio><throw exception=\"$exception\">$message</throw></tio>";
}
sub TIOlog {
    my($level, $message) = @_;
    
    $message =~ s/&/&amp;/g;
    $message =~ s/%/&#37;/g;
    $message =~ s/"/&quot;/g;
    $message =~ s/</&lt;/g;
    $message =~ s/>/&gt;/g;
    
    print "<tio><log level=\"$level\">$message</log></tio>";
}

